[![Back to README](https://img.shields.io/badge/Back_to-_README-blue?style=for-the-badge)](../README.md)

# Contributing to SSLClient

Thank you for considering contributing to SSLClient! Please follow these guidelines to help us review your contributions more efficiently.

## How to Report an Issue

1. Search for similar issues in the [issue tracker](https://github.com/govorox/SSLClient/issues) to avoid duplicates.
2. Use the provided [issue templates](https://github.com/govorox/SSLClient/tree/master/.github/ISSUE_TEMPLATE) to ensure all necessary information is included.
3. Provide a clear and descriptive title for the issue.
4. Include steps to reproduce the issue, expected and actual behavior, and details about your environment.

## How to Submit a Pull Request

1. Fork the repository and create your branch from `main`.
2. Ensure your code follows the project's coding standards.
3. Update documentation as necessary.
4. Link to the relevant issue in the pull request description.
5. Ensure all tests pass before submitting the pull request.

## Coding Standards

- Follow the [existing code style](CODEGUIDE.md).
- Write clear and concise commit messages.
- Include comments where necessary for clarity.

## Contact
If you have any questions, feel free to reach out to us at [robbyrnes@hotmail.co.uk].
